Results 1 to 2 of 2

Thread: NetBeans problem.

  1. #1
    Join Date
    May 2007
    Location
    San Francisco, California
    Beans
    5,849
    Distro
    Ubuntu

    NetBeans problem.

    For the past couple of days I've been having a lot of problems with Java programs such as Eclipse which I haven't been able to get to work in 4 days, but still working on it, now when I ran NetBeans today, it stopped working for some reason, now when I open NetBeans I get this:
    Code:
    java.net.UnknownHostException: codename: codename
    at java.net.InetAddress.getLocalHost(InetAddress.java :1315)
    at org.netbeans.CLIHandler.initialize(CLIHandler.java :487)
    at org.netbeans.CLIHandler.initialize(CLIHandler.java :291)
    at org.netbeans.Main.execute(Main.java:161)
    at org.netbeans.Main.main(Main.java:4
    So I read up on this issue, and I need to add a couple of lines to this configuration file, so I did:
    Code:
    sudo gedit /etc/hosts
    I added what I needed too, but now when I boot into NetBeans I get this:
    Code:
    /usr/share/themes/Human/gtk-2.0/gtkrc:43: error: lexical error or unexpected token, expected valid token
    It's almost acting like I'm trying to install it, very weird.

    Supposedly if I was running Java 1.5 I'd be getting this error, but I tried this:
    Code:
    ./netbeans-6.5_m1-php-linux.sh --javahome /usr/lib/jvm/java-6-sun
    To direct it to java-6-sun so it possibly could work, but still getting these errors.

    It's almost like I'm cursed with Eclipse and NetBeans, I'm kinda frustrated but I know I can resolve this sooner or later, just need some ideas and a little help. I've tried numerous things with both programs and still nothing. It's obviously something to do with Java but I'm not sure what. Thanks for your time.

  2. #2
    Join Date
    Nov 2007
    Location
    New Zealand
    Beans
    1,026
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: NetBeans problem.

    Do you have to use a alpha version of NetBeans? (6.5m1)

    Have you tried using NetBeans 6.1? Or NetBeans 6.0.1 from the Ubuntu repositories?

    What is the output of the following...
    Code:
    java -version
    javac -version

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •